<script setup>
import { RouterLink, RouterView } from "vue-router";
</script>

<template>
  <header v-if="route.path !== '/register' && route.path !== '/'">
    <div class="wrapper">
      <!-- bg-body-tertiary -->
      <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <!-- <div class="container-fluid"> -->
        <div class="container">
          <!-- <a class="navbar-brand" href="#">Navbar</a> -->
          <RouterLink class="navbar-brand" to="/home">Movies App</RouterLink>
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <!-- <ul class="navbar-nav me-auto mb-2 mb-lg-0"> -->
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
              <li class="nav-item">
                <!-- active -->
                <RouterLink class="nav-link" to="/home" :class="$route.name == 'home' ? 'active' : ''">Home
                </RouterLink>
              </li>
              <li class=" nav-item">
                <RouterLink class="nav-link" to="/genres" :class="$route.name == 'genres' ? 'active' : ''">Genres
                </RouterLink>
              </li>
              <li class="nav-item">
                <RouterLink class="nav-link" to="/movies" :active='$route.name == "movies"'>Movies</RouterLink>
              </li>
            </ul>
            <!-- <RouterLink :to="{ path: '/' }" class="">
                <i class="bi bi-power px-2" style="color:white;font-size:16pt;"></i>
            </RouterLink> -->
            <i class="bi bi-power px-2" style="color:white;font-size:16pt;cursor:pointer;" @click="logout()"></i>
          </div>
        </div>
      </nav>
    </div>
  </header>

  <RouterView />
</template>
<script>
import { RouterLink, RouterView, useRoute } from 'vue-router'
export default {
  data() {
    return {
      route: useRoute()
    }
  },
  methods: {
        logout() {
          localStorage.removeItem('token');
          this.$router.push({ path: '/' });
        }
  }
}

</script>

<style scoped></style>
